package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 课程权重设置情况dto
 * @Author: CaoZixuan
 * @Date: 2024-03-01
 */
public class CourseWeightSettingStatusResult {

    @ApiModelProperty("曾经设置过情况,true:曾经设置过（编辑课程设置时警告提示）,false:从未设置过（不需要提示）")
    private Boolean everSettingStatus;

    @ApiModelProperty("当前设置情况,true:当前课程设置过权重，权重设置界面需要展示两个表单,false:当前未设置权重,权重设置界面只展示1个表单")
    private Boolean currentSettingStatus;

    @ApiModelProperty("课程管理人（创建人）")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long courseCreateId;

    public Boolean getEverSettingStatus() {
        return everSettingStatus;
    }

    public void setEverSettingStatus(Boolean everSettingStatus) {
        this.everSettingStatus = everSettingStatus;
    }

    public Boolean getCurrentSettingStatus() {
        return currentSettingStatus;
    }

    public void setCurrentSettingStatus(Boolean currentSettingStatus) {
        this.currentSettingStatus = currentSettingStatus;
    }

    public Long getCourseCreateId() {
        return courseCreateId;
    }

    public void setCourseCreateId(Long courseCreateId) {
        this.courseCreateId = courseCreateId;
    }
}
